/*
 *  Copyright 2014 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/**
 * This class is the advanced query model.
 * @private
 */
Ext.define('Ametys.plugins.queriesdirectory.model.AdvancedQuery', {
	extend: 'Ametys.plugins.queriesdirectory.model.AbstractQuery',
	
	/**
	 * Function to open the query
	 */
	open : function()
	{
		var content = Ext.JSON.decode(this.content);

		var toolRole = content.toolRole;
		var toolParams = content.toolParams || {};
		toolParams.expanded = true;
		toolParams.advancedMode = true;
		
		Ametys.tool.ToolsManager.openTool(toolRole, toolParams);
	},
	
	/**
	 * Function to execute the query
	 */
	execute : function()
	{
		var content = Ext.JSON.decode(this.content);

		var toolRole = content.toolRole;
		var toolParams = content.toolParams || {};
		toolParams.advancedMode = true;
		
		Ametys.tool.ToolsManager.openTool(toolRole, toolParams);
	}

});